## org.jfree.ui.action
Class DowngradeActionMap

    java.lang.Object
      org.jfree.ui.action.DowngradeActionMap

    public class DowngradeActionMap

extends java.lang.Object

An actionmap, which is JDK 1.2.2 compatible.

This implementation does not implement the ActionMap interface of JDK 1.3 or higher to maintain the compatibility with JDK 1.2 which does not know this interface.

The usage is still the same.

Author:
  Thomas Morger

Constructor Summary
`DowngradeActionMap()` Default Constructor.

Method Summary
`java.lang.Object[]` `allKeys()` Returns an array of the keys defined in this `ActionMap` and its parent.
`void` `clear()` Removes all the mappings from this `ActionMap`.
`javax.swing.Action` `get(java.lang.Object key)` Returns the binding for `key`, messaging the parent `ActionMap` if the binding is not locally defined.
`DowngradeActionMap` `getParent()` Returns this `ActionMap`'s parent.
`java.lang.Object[]` `keys()` Returns the `Action` names that are bound in this `ActionMap`.
`void` `put(java.lang.Object key, javax.swing.Action action)` Adds a binding for `key` to `action`.
`void` `remove(java.lang.Object key)` Removes the binding for `key` from this `ActionMap`.
`void` `setParent(DowngradeActionMap map)` Sets this `ActionMap`'s parent.
`int` `size()` Returns the number of bindings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DowngradeActionMap

    public DowngradeActionMap()

  Default Constructor. Creates a new empty map.

Method Detail

### setParent

    public void setParent(DowngradeActionMap map)

  Sets this `ActionMap`'s parent.

  Parameters:
    `map` - the `ActionMap` that is the parent of this one

### getParent

    public DowngradeActionMap getParent()

  Returns this `ActionMap`'s parent.

  Returns:
    the `ActionMap` that is the parent of this one, or null if this `ActionMap` has no parent

### put

    public void put(java.lang.Object key,
                    javax.swing.Action action)

  Adds a binding for `key` to `action`. If `action` is null, this removes the current binding for `key`.

  In most instances, `key` will be `action.getValue(NAME)`.

  Parameters:
    `key` - the key for the action.
    `action` - the action to be added.

### get

    public javax.swing.Action get(java.lang.Object key)

  Returns the binding for `key`, messaging the parent `ActionMap` if the binding is not locally defined.

  Parameters:
    `key` - the key to be queried.
  Returns:
    the action for this key, or null if there is no such action.

### remove

    public void remove(java.lang.Object key)

  Removes the binding for `key` from this `ActionMap`.

  Parameters:
    `key` - the key to be removed.

### clear

    public void clear()

  Removes all the mappings from this `ActionMap`.

### keys

    public java.lang.Object[] keys()

  Returns the `Action` names that are bound in this `ActionMap`.

  Returns:
    the keys which are directly bound to this map.

### size

    public int size()

  Returns the number of bindings.

  Returns:
    the number of entries in this map.

### allKeys

    public java.lang.Object[] allKeys()

  Returns an array of the keys defined in this `ActionMap` and its parent. This method differs from `keys()` in that this method includes the keys defined in the parent.

  Returns:
    all keys of this map and all parents.